import request from '@/utils/request'

// 获取物料列表信息以及表头字段
const materialList = (data) => {

  return request({
    url: `/system/material/list`,
    method: 'post',
    data: data
  })
}

// 表头数据 | 表单控件
const tagList = (data) => {
  return request({
    url: `/system/tag/list`,
    method: 'post',
    data: data
  })
}

// 获取物料基本信息详细信息
const materialDetails = (id, templateCode) => {
  return request({
    url: `/system/material/details/${id}`,
    method: 'get',
    params: { templateCode }
  })
}

// 获取医药行业信息详细信息+表单属性
const medcineDetails = (id, templateCode) => {
  return request({
    url: `/system/medcine/details/${id}`,
    method: 'get',
    params: { templateCode }
  })
}

// 查询成本信息列表
const costList = (data) => {
  return request({
    url: `/system/cost/list`,
    method: 'post',
    data: data
  })
}

// 查询财务信息列表
const financeList = (data) => {
  return request({
    url: `/system/finance/list`,
    method: 'post',
    data: data
  })
}

// 获取物料辅助属性详细信息
const propertyDetails = (id, templateCode) => {
  return request({
    url: `/system/property/details/${id}`,
    method: 'get',
    params: { templateCode }
  })
}

// 查询物料辅助属性列表
const propertyList = (data) => {
  return request({
    url: `/system/property/list`,
    method: 'post',
    data: data
  })
}


//获取辅助计量单位基本信息
const unitDetails = (materialId, templateCode, id) => {
  return request({
    url: `/system/unit/details/${materialId}`,
    method: 'get',
    params: { templateCode, id }
  })
}

//获取辅计量管理列表信息
const unitList = (data) => {
  return request({
    url: `/system/unit/list`,
    method: 'post',
    data: data
  })
}

// 查询计划信息列表
const planList = (data) => {
  return request({
    url: `/system/plan/list`,
    method: 'post',
    data: data
  })
}

export default {
  materialList,
  tagList,
  materialDetails,
  medcineDetails,
  costList,
  financeList,
  propertyDetails,
  propertyList,
  unitDetails,
  unitList,
  planList,
}